# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{nice-ffi}
  s.version = "0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Croisant"]
  s.date = %q{2010-03-31}
  s.description = %q{Nice-FFI is a layer on top of Ruby-FFI (and compatible FFI systems)
with features to ease development of FFI-based libraries.
}
  s.email = %q{jacius@gmail.com}
  s.files = ["docs/usage.rdoc", "TODO.rdoc", "README.rdoc", "lib/nice-ffi/autorelease.rb", "lib/nice-ffi/pathset.rb", "lib/nice-ffi/struct.rb", "lib/nice-ffi/opaquestruct.rb", "lib/nice-ffi/typedpointer.rb", "lib/nice-ffi/library.rb", "lib/nice-ffi.rb", "ChangeLog.txt"]
  s.homepage = %q{http://github.com/jacius/nice-ffi/}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8")
  s.rubyforge_project = %q{nice-ffi}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Convenience layer atop Ruby-FFI}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ffi>, [">= 0.5.0"])
    else
      s.add_dependency(%q<ffi>, [">= 0.5.0"])
    end
  else
    s.add_dependency(%q<ffi>, [">= 0.5.0"])
  end
end
